Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.model.analysisMetaModel
Interface MIOutputPort

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, MIPort, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MOutputPort

    public interface MIOutputPort

extends MIPort

A representation of the model object 'Output Port'.

The following features are supported:

- `Subscribers`
- `Parent`

See Also:
  `MIAnalysisMetaModelPackage.getOutputPort()`
Generated:
Model:

Method Summary
`MIPlugin` | `getParent()` Returns the value of the 'Parent' container reference.
`org.eclipse.emf.common.util.EList<MIInputPort>` | `getSubscribers()` Returns the value of the 'Subscribers' reference list.
`void` | `setParent(MIPlugin value)` Sets the value of the '`Parent`' container reference.

Methods inherited from interface kieker.analysis.model.analysisMetaModel.MIPort
`getEventTypes, getId, getName, setId, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSubscribers

    org.eclipse.emf.common.util.EList<MIInputPort> getSubscribers()

  Returns the value of the 'Subscribers' reference list. The list contents are of type `MIInputPort`.

  If the meaning of the 'Subscribers' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Subscribers' reference list.
  See Also:
    `MIAnalysisMetaModelPackage.getOutputPort_Subscribers()`
  Generated:
  Model:

### getParent

    MIPlugin getParent()

  Returns the value of the 'Parent' container reference. It is bidirectional and its opposite is '`Output Ports`'.

  If the meaning of the 'Parent' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent' container reference.
  See Also:
    `setParent(MIPlugin)`, `MIAnalysisMetaModelPackage.getOutputPort_Parent()`, `MIPlugin.getOutputPorts()`
  Generated:
  Model:
    opposite="outputPorts" required="true" transient="false"

### setParent

    void setParent(MIPlugin value)

  Sets the value of the '`Parent`' container reference.

  Parameters:
    `value` - the new value of the 'Parent' container reference.
  See Also:
    `getParent()`
  Generated:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net